<?php

namespace KupShop\ProductsSerialNumbersBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class ProductsSerialNumbersAdminRegister extends AdminRegister implements IAdminRegisterDynamic, IAdminRegisterStatic
{
    public function getDynamicMenu(): array
    {
        return [
            static::createMenuItem(
                'stockMenu',
                [
                    'name' => 'ProductsSerialNumbers',
                    'title' => translate('navigation', 'productsSerialNumbers'),
                    'left' => 's=menu.php&type=productsSerialNumbers',
                    'right' => 's=list.php&type=productsSerialNumbers',
                ]
            ),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('ProductsSerialNumbers', [\Modules::PRODUCTS_SERIAL_NUMBERS], ['PSERNUM']),
        ];
    }
}
